How to stop tax showing as Built-in to the Subtotal

The following request is directly from Square explorer. Please if you can play around inside explorer, testing by copy/paste the URL into the browser address bar, click Preview Link, and you’ll see what I mean.

Square-Dev-AI, regarding…

  1. taxes, scope, was already set to ORDER
  2. I’ve just set, pricing_options, auto_apply_taxes, to True, but it made no difference
  3. I’m feeding in my prices from the server-side of my shopping cart, i.e. I’m not using a catalogue. And of course the prices I’m feeding in are exclusive of tax. (this is irrelevant though, simply because we only need to test the explorer example)
  4. I believe my square account isn’t relevant because it’s just a matter of generating the response inside Square explorer and then copy/pasting the URL into the browser to test

Please kindly test and let me know if you can get line items listed to not include tax as they appear on the right, i.e. the subtotal not inclusive of tax? If you manage it, then please just copy/paste the request for me to try?

curl https://connect.squareupsandbox.com/v2/online-checkout/payment-links \
  -X POST \
  -H 'Square-Version: 2025-06-18' \
  -H 'Authorization: Bearer EAAAlyZ45b3YpxzHviGy2YmFa5CQtg57ohF-T0DcIpKSX_XeNglndam3qaIdan-G' \
  -H 'Content-Type: application/json' \
  -d '{
    "idempotency_key": "0ef665c3-68b7-49c8-8ba7-4a90d2a951d1",
    "order": {
      "location_id": "L2A4E9BGPYY1R",
      "line_items": [
        {
          "quantity": "1",
          "base_price_money": {
            "amount": 423,
            "currency": "GBP"
          },
          "name": "my_item_1",
          "item_type": "ITEM"
        }
      ],
      "taxes": [
        {
          "percentage": "20",
          "type": "ADDITIVE",
          "name": "VAT",
          "scope": "ORDER"
        }
      ],
      "service_charges": [
        {
          "amount_money": {
            "amount": 1297,
            "currency": "GBP"
          },
          "name": "Shipping ",
          "calculation_phase": "SUBTOTAL_PHASE",
          "taxable": true
        }
      ],
      "pricing_options": {
        "auto_apply_taxes": true
      }
    }
  }'

Thank you, Gary :slight_smile: